#ifndef GAME_H
#define GAME_H

#include "consts.h"

extern DWORD packed_well[NUM_ROWS];
extern const BYTE ROTATIONS[FIG_NUM];
extern const char TETRITABLE[FIG_NUM][ORIENT_NUM][SQUARE_NUM][2];
extern Tet_State tet_state;
extern Tet_State incoming[NUM_INCOMING];
extern BYTE player_moves_per_down_move;
extern WORD score, level;

#define get_well(y, x) \
        (((BYTE) (packed_well[(BYTE) (y)] >> ((DWORD) (x) * (DWORD) 2L))) & 3)

typedef enum {
        GAME_OVER, INC_SPEED, GAME_CONTINUE} Game_State;

Game_State game_step(void);
Player_Move ai_move(void);
void game_reset(void);
void game_init(WORD number);
BYTE game_delete(void);



#endif

